[rtems-testing commit] rtems/ scripts: Initial update to waf

Joel Sherrill joel at rtems.org
Thu Feb 4 21:35:16 UTC 2021


Module:    rtems-testing
Branch:    master
Commit:    5c4cd9975bdd2ae05e6f134853fb67af7941342e
Changeset: http://git.rtems.org/rtems-testing/commit/?id=5c4cd9975bdd2ae05e6f134853fb67af7941342e

Author:    Joel Sherrill <joel at rtems.org>
Date:      Thu Feb  4 15:33:29 2021 -0600

rtems/ scripts: Initial update to waf

---

 rtems/bit_all_bsps |  7 +++++-
 rtems/bit_rtems    | 70 +++++++++++++++++++++++++++++++++++++-----------------
 rtems/user.cfg     |  4 ++--
 3 files changed, 56 insertions(+), 25 deletions(-)

diff --git a/rtems/bit_all_bsps b/rtems/bit_all_bsps
index 2d7655f..10909f7 100755
--- a/rtems/bit_all_bsps
+++ b/rtems/bit_all_bsps
@@ -116,7 +116,12 @@ mkdir ticker-executables
 #
 get_bsps()
 {
-  if [ -d ${RTEMS}/c/src/lib/libbsp/i386/pc386/make/custom ] ; then
+  if [ -d ${RTEMS}/bsps/i386/pc386/config ] ; then
+    ALL_BSPS=`ls -1 ${RTEMS}/bsps/${CPU}/*/config/*.cfg | \
+      while read f; do \
+        basename $f; done | sed -e 's/.cfg$//' `
+
+  elif [ -d ${RTEMS}/c/src/lib/libbsp/i386/pc386/make/custom ] ; then
     ALL_BSPS=`ls -1 ${RTEMS}/c/src/lib/libbsp/${CPU}/*/make/custom/*.cfg | \
       while read f; do \
         basename $f; done | sed -e 's/.cfg$//' `
diff --git a/rtems/bit_rtems b/rtems/bit_rtems
index 4131d76..ba56a8d 100755
--- a/rtems/bit_rtems
+++ b/rtems/bit_rtems
@@ -1,4 +1,4 @@
-#! /bin/sh
+#! /bin/sh -x
 #
 #  Shell script to configure and build rtems
 #
@@ -266,16 +266,17 @@ fi
 case ${ENABLE_RTEMS_TCPIP} in
   yes)
     case ${CPU} in
-      avr) TCPIP_FLAG="--disable-networking" ;;
-      *)   TCPIP_FLAG="--enable-networking" ;;
+      avr)      TCPIP_FLAG="--disable-networking" ;;
+      epiphany) TCPIP_FLAG="--disable-networking" ;;  # ICE in GCC 4.9.0
+      *)        TCPIP_FLAG="--enable-networking" ;;
     esac
     ;;
   no)
     TCPIP_FLAG="--disable-networking"
     ;;
   new)
-    type waf >/dev/null 2>&1
-     check_fatal $? "waf is not in your PATH"
+    # type waf >/dev/null 2>&1
+    #  check_fatal $? "waf is not in your PATH"
 
     TCPIP_FLAG="--disable-networking"
     if [ ${do_install} = "no" ] ; then
@@ -431,6 +432,11 @@ case ${BSP_TO_TEST} in
      BSP_TO_TEST=
      ;;
   *)
+     #echo "Executing ${MAKE} ${MAKE_DEBUG_ARG} preinstall "
+     #${MAKE} -j${njobs} ${MAKE_DEBUG_ARG} RTEMS_BSP=${BSP_TO_TEST} preinstall
+     #build_status=$?
+     #check_fatal ${build_status} "failed ${MAKE} ${MAKE_DEBUG_ARG} preinstall."
+
      echo "Executing ${MAKE} ${MAKE_DEBUG_ARG} ..."
      ${MAKE} -j${njobs} ${MAKE_KEEP_GOING_ARG} ${MAKE_DEBUG_ARG} \
              RTEMS_BSP=${BSP_TO_TEST}
@@ -602,6 +608,9 @@ fi
 
 pwd
 
+gcc=`type ${target}-gcc 2>&1 | cut -d' ' -f3`
+tooldir=`echo ${gcc} | sed -e 's/\/bin.*$//'`
+
 # if we installed it, then try to build hello world
 if [ ${do_install} = yes -a ${doing_bare_bsp} = no ] ; then
   # if this is a multilib, then handle it specially
@@ -616,23 +625,21 @@ if [ ${do_install} = yes -a ${doing_bare_bsp} = no ] ; then
         cd ..
         if [ -d rtems-libbsd -a ${ENABLE_RTEMS_TCPIP} = "new" ] ; then
           cd rtems-libbsd 
-          waf distclean
+          ./waf distclean
           check_fatal $? "failed waf distclean - rtems-libbsd on ${BSP_TO_TEST}"
 
-          gcc=`type ${target}-gcc 2>&1 | cut -d' ' -f3`
-          tooldir=`echo ${gcc} | sed -e 's/\/bin.*$//'`
           RTEMS_MAKEFILE_PATH=${INSTALL_POINT}/${target}/${BSP_TO_TEST} \
-          waf configure \
+          ./waf configure \
             --rtems=${INSTALL_POINT} \
             --rtems-tools=${tooldir} \
             --rtems-bsps=${CPU}/${BSP_TO_TEST} \
             --prefix=${INSTALL_POINT}
           check_fatal $? "failed waf configure - rtems-libbsd on ${BSP_TO_TEST}"
  
-          waf 
+          ./waf 
           check_fatal $? "failed waf - rtems-libbsd on ${BSP_TO_TEST}"
  
-          waf install
+          ./waf install
           check_fatal $? "failed waf install - rtems-libbsd on ${BSP_TO_TEST}"
           cd ..
         fi
@@ -660,17 +667,36 @@ if [ ${do_install} = yes -a ${doing_bare_bsp} = no ] ; then
           cd ${suite}
           check_fatal $? "failed cd to ${suite}."
 
-          RTEMS_MAKEFILE_PATH=${INSTALL_POINT}/${target}/${BSP_TO_TEST} \
-             ${MAKE} ${MAKE_DEBUG_ARG} clean
-          check_fatal $? "failed 1st clean ${suite} on ${BSP_TO_TEST}."
-
-          RTEMS_MAKEFILE_PATH=${INSTALL_POINT}/${target}/${BSP_TO_TEST} \
-             ${MAKE} ${MAKE_DEBUG_ARG} 
-          check_fatal $? "failed ${suite} on ${BSP_TO_TEST}."
-
-          RTEMS_MAKEFILE_PATH=${INSTALL_POINT}/${target}/${BSP_TO_TEST} \
-             ${MAKE} ${MAKE_DEBUG_ARG} clean
-          check_fatal $? "failed clean ${suite} on ${BSP_TO_TEST}."
+          if [ -r waf ] ; then
+            ~/waf/waf/waf distclean
+            check_fatal $? "failed 1st clean ${suite} on ${BSP_TO_TEST}."
+
+            ~/waf/waf/waf configure \
+               --rtems=${INSTALL_POINT} \
+               --rtems-tools=${tooldir} \
+               --rtems-bsps=${CPU}/${BSP_TO_TEST} \
+               --prefix=${INSTALL_POINT}
+            check_fatal $? "failed waf configure - ${suite} on ${BSP_TO_TEST}"
+
+            ~/waf/waf/waf 
+            check_fatal $? "failed waf - ${suite} on ${BSP_TO_TEST}"
+   
+            ~/waf/waf/waf install
+            check_fatal $? "failed waf install - ${suite} on ${BSP_TO_TEST}"
+
+          else
+            RTEMS_MAKEFILE_PATH=${INSTALL_POINT}/${target}/${BSP_TO_TEST} \
+               ${MAKE} ${MAKE_DEBUG_ARG} clean
+            check_fatal $? "failed 1st clean ${suite} on ${BSP_TO_TEST}."
+
+            RTEMS_MAKEFILE_PATH=${INSTALL_POINT}/${target}/${BSP_TO_TEST} \
+               ${MAKE} ${MAKE_DEBUG_ARG} 
+            check_fatal $? "failed ${suite} on ${BSP_TO_TEST}."
+
+            RTEMS_MAKEFILE_PATH=${INSTALL_POINT}/${target}/${BSP_TO_TEST} \
+               ${MAKE} ${MAKE_DEBUG_ARG} clean
+            check_fatal $? "failed clean ${suite} on ${BSP_TO_TEST}."
+          fi
 
           cd ..
         done
diff --git a/rtems/user.cfg b/rtems/user.cfg
index d726a95..c55ec7c 100644
--- a/rtems/user.cfg
+++ b/rtems/user.cfg
@@ -35,13 +35,13 @@ ENABLE_RTEMS_MULTILIB=no
 
 # Set this to yes if you want to enable a more robust set of
 # POSIX functionality including POSIX threads support.
-ENABLE_RTEMS_POSIX=yes
+ENABLE_RTEMS_POSIX=no
 
 # Set this to yes if you want to build the TCP/IP stack and 
 # associated clients and servers.  This is automatically disabled
 # for BSPs that have no networking support.
 # Values: yes, no, or new
-ENABLE_RTEMS_TCPIP=yes
+ENABLE_RTEMS_TCPIP=no
 
 # Set this to yes if you want to enable the RTEMS uITRON 3.0 API
 # implementation.  This API is not completely implemented and 



More information about the vc mailing list